Package org.pushingpixels.flamingo.api.common.model

# Interface PopupButtonModel

All Superinterfaces:
  `ButtonModel`, `ItemSelectable`

public interface PopupButtonModel extends ButtonModel
Model for the popup area of `JCommandButton` component.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPopupActionListener(PopupActionListener l)`
Adds an `PopupActionListener` to the model.
`boolean`
`isPopupShowing()`
Returns indication whether the associated popup is showing.
`void`
`removePopupActionListener(PopupActionListener l)`
Removes an `PopupActionListener` from the model.
`void`
`setPopupShowing(boolean flag)`
Sets indication on the visibility status of the associated popup.

### Methods inherited from interface javax.swing.ButtonModel

`addActionListener, addChangeListener, addItemListener, getActionCommand, getGroup, getMnemonic, isArmed, isEnabled, isPressed, isRollover, isSelected, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setArmed, setEnabled, setGroup, setMnemonic, setPressed, setRollover, setSelected`

### Methods inherited from interface java.awt.ItemSelectable

`getSelectedObjects`

## Method Details

### addPopupActionListener

void addPopupActionListener(PopupActionListener l)
Adds an `PopupActionListener` to the model.

Parameters:
  `l` - the listener to add

### removePopupActionListener

void removePopupActionListener(PopupActionListener l)
Removes an `PopupActionListener` from the model.

Parameters:
  `l` - the listener to remove

### setPopupShowing

void setPopupShowing(boolean flag)
Sets indication on the visibility status of the associated popup.

Parameters:
  `flag` - The visibility status of the associated popup.

### isPopupShowing

boolean isPopupShowing()
Returns indication whether the associated popup is showing.

Returns:
  `true` if the associated popup is showing, `false` otherwise.